
Redmine - Defect #8726

Redmine+Mercurial+PostgreSQL 9 falls with cyrrilic filenames in repository

2011-06-30 23:46 - Andrey Polyakov

Status: Closed Start date: 2011-06-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.1.3

Description

On windows 7 redmine(1.1.3.stable) falls when loads mercurial repo containing files with cyrrillic names.

Error message: PGError: ERROR: invalid byte sequence for encoding "UTF8"...

Error placed at app\models\changeset.rb row 175.

For me this code works:

# Creates a new Change from it's common parameters

def create_change(change)

Change.create(:changeset => self,

:action => change[:action],

:path => Iconv.conv('UTF-8', 'WINDOWS-1251', change[:path]),

#:path => change[:path],

:from_path => change[:from_path],

:from_revision => change[:from_revision])

end

Of course it isn't true way. But I don't have Ruby knowledge for correct fix.

Related issues:

Is duplicate of Redmine - Defect #2664: Mercurial: Repository path encoding o... Closed 2009-02-04

History

#1 - 2011-06-30 23:49 - Etienne Massip

- Category set to SCM extra

#2 - 2011-07-01 00:40 - Toshi MARUYAMA

- Category changed from SCM extra to SCM

#3 - 2011-07-01 00:42 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

This is fixed by #2664 in Redmine 1.2.0.

#4 - 2011-07-01 13:41 - Andrey Polyakov

- Status changed from Closed to Reopened

I'm testing with redmine 1.2.0. It's not falls, but replaces cyrrillic chars to '?'. It's not right choice, system must convert path encoding to UTF8.

#5 - 2011-07-01 14:06 - Toshi MARUYAMA

- Status changed from Reopened to Closed

You need to set your path encoding on project repository setting.
